#!/bin/bash

# Restic repository from environment variables
export RESTIC_REPOSITORY="{{ restic_repo }}"

# Specify the path to the password file
export RESTIC_PASSWORD_FILE="{{ rclone_config_path }}/rclone_psw"

# Check if the password file exists
if [ ! -f "$RESTIC_PASSWORD_FILE" ]; then
    echo "Password file does not exist: $RESTIC_PASSWORD_FILE"
    exit 1
fi

# Initialize the repository if it does not exist
restic init

# Create a backup
#restic backup /var/opt/gitlab/
restic backup "{{ folder_to_copy }}"

# Apply retention policies
# Keep 7 daily, 4 weekly, and 6 monthly backups
restic forget --keep-daily 7 --keep-weekly 4 --keep-monthly 6 --prune